---
argument_specs:
  main:
    short_description: The main entry point for role
    options:
      container_runtime:
        description: "Which runtime should be installed"
        type: "str"
        required: false
        default: "podman"
        choices:
          - "podman"
          - "docker"
      containers:
        description: "List of containers to install"
        type: "list"
        required: false
        default: []
        elements: "dict"
        options:
          name:
            description: "Container name"
            type: "str"
            required: true
          image:
            description: "Fully-qualified image reference"
            type: "str"
            required: true
          user:
            description: "UID of user inside the container"
            type: "int"
            required: false
            default: 0
          group:
            description: "GID of group inside the container"
            type: "int"
            required: false
            default: 0
          ports:
            description: "List of exposed ports in the format: [HOST:]PORT[:PORT]"
            type: "list"
            required: false
            default: []
            elements: "str"
          volumes:
            description: "List of volume mounts"
            type: "list"
            required: false
            default: []
            elements: "str"
          timezone:
            description: "Timezone inside the container"
            type: "str"
            required: false
            default: "local"
          env:
            description: "Key/value pairs of environment variables available in the container"
            type: "dict"
            required: false
            default: {}
          unit_extra:
            description: "List of extra lines for the systemd unit section"
            type: "list"
            elements: "str"
            required: false
            default: []
          service_extra:
            description: "List of extra lines for the systemd service section"
            type: "list"
            elements: "str"
            required: false
            default: []
          install_extra:
            description: "List of extra lines for the systemd install section"
            type: "list"
            elements: "str"
            required: false
            default: []
          timer:
            description: "List of lines for systemd-timer timer section"
            type: "list"
            elements: "str"
            required: false
            default: []
          cap_add:
            description: "List of capabilities to add to the container"
            type: "list"
            required: false
            default: []
            elements: "str"
          extra_args:
            description: "Extra arguments to add to podman call"
            type: "str"
            required: false
            default: ""

